org.apache.fop.tools.fontlist

## Class FontListSerializer

- java.lang.Object
- - org.apache.fop.tools.fontlist.FontListSerializer

-     public class FontListSerializer
      extends java.lang.Object

  Turns the font list into SAX events.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontListSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateSAX(java.util.SortedMap fontFamilies, GenerationHelperContentHandler handler)` Generates SAX events from the font damily map.
    `void` | `generateSAX(java.util.SortedMap fontFamilies, java.lang.String singleFamily, GenerationHelperContentHandler handler)` Generates SAX events from the font damily map.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FontListSerializer

          public FontListSerializer()

  - ### Method Detail

    - #### generateSAX

          public void generateSAX(java.util.SortedMap fontFamilies,
                                  GenerationHelperContentHandler handler)
                           throws org.xml.sax.SAXException

      Generates SAX events from the font damily map.
      Parameters:
        `fontFamilies` - the font families
        `handler` - the target SAX handler
      Throws:
        `org.xml.sax.SAXException` - if an XML-related exception occurs

    - #### generateSAX

          public void generateSAX(java.util.SortedMap fontFamilies,
                                  java.lang.String singleFamily,
                                  GenerationHelperContentHandler handler)
                           throws org.xml.sax.SAXException

      Generates SAX events from the font damily map.
      Parameters:
        `fontFamilies` - the font families
        `singleFamily` - if not null, the output will be filtered so only this single font family will be used
        `handler` - the target SAX handler
      Throws:
        `org.xml.sax.SAXException` - if an XML-related exception occurs

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.